<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3001
Name: Anrede
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3001-2013-01-10T000000">
   <title>Anrede</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]
Item: (Salutation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]"
         id="d127e3057-false-d86226e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3001'])&gt;=1">(Salutation): Element hl7:templateId[@root='1.2.276.0.76.10.3001'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3001'])&lt;=1">(Salutation): Element hl7:templateId[@root='1.2.276.0.76.10.3001'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Salutation): Element hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Salutation): Element hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:title)=0">(Salutation): Element hl7:title DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Salutation): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Salutation): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]/hl7:templateId[@root='1.2.276.0.76.10.3001']
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]/hl7:templateId[@root='1.2.276.0.76.10.3001']"
         id="d127e3059-false-d86282e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Salutation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3001')">(Salutation): Der Wert von @root MUSS '1.2.276.0.76.10.3001' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Salutation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]/hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]/hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e3064-false-d86303e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Salutation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="@nullFlavor or (@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')">(Salutation): Der Elementinhalt MUSS einer von 'code 'X-SALUT' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]/hl7:title
Item: (Salutation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]/hl7:text[not(@nullFlavor)]
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3001']]/hl7:text[not(@nullFlavor)]"
         id="d127e3080-false-d86334e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Salutation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
