<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3012
Name: Verabreichte Impfungen
Description: Verabreichte Impfungen und ausdrücklich nicht erwünschten Impfungen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3012-2013-07-15T000000">
   <title>Verabreichte Impfungen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]
Item: (Immunizationssection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]"
         id="d127e3304-false-d87082e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3012'])&gt;=1">(Immunizationssection): Element hl7:templateId[@root='1.2.276.0.76.10.3012'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3012'])&lt;=1">(Immunizationssection): Element hl7:templateId[@root='1.2.276.0.76.10.3012'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Immunizationssection): Element hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Immunizationssection): Element hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Immunizationssection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Immunizationssection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Immunizationssection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Immunizationssection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:templateId[@root='1.2.276.0.76.10.3012']
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:templateId[@root='1.2.276.0.76.10.3012']"
         id="d127e3308-false-d87141e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3012')">(Immunizationssection): Der Wert von @root MUSS '1.2.276.0.76.10.3012' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:code[(@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e3315-false-d87159e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="@nullFlavor or (@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')">(Immunizationssection): Der Elementinhalt MUSS einer von 'code '11369-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:title[not(@nullFlavor)]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:title[not(@nullFlavor)]"
         id="d127e3328-false-d87179e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="text()='Angaben zu Impfungen'">(Immunizationssection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Angaben zu Impfungen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:text[not(@nullFlavor)]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3012']]/hl7:text[not(@nullFlavor)]"
         id="d127e3336-false-d87197e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
